View Issue Details

IDProjectCategoryView StatusLast Update
0001327NoesisGUIC# SDKpublic2019-02-26 18:44
ReporterJasonL663Assigned Tosfernandez 
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version 
Target Version2.2.0Fixed in Version2.2.0b7 
Summary0001327: Duplicate Noesis ContentPropertyAttribute class conflicts with System.Xaml library
DescriptionThe System.Windows.Markup.ContentPropertyAttribute class defined in the
NoesisManaged library conflicts with the
System.Windows.Markup.ContentPropertyAttribute class defined in the System.Xaml
library. This makes it impossible to use either when both libraries are
referenced.

It also prevents the attribute from working properly in the Xaml editor leading
to the infamous XLS0502 error:

"The type <Type> does not support direct content."
Steps To Reproduce1. Include references to both NoesisManaged.dll and System.Xaml in your project.
2. Open a page in the xaml editor and observe the XLS0502 error

3. Attempt to apply the ContentProperty attribute to a class and observe the
class name conflict
TagsNo tags attached.
PlatformAny

Activities

admin

admin

2018-10-30 12:45

administrator   ~0005267

Our hosting company corrupted our database without a backup. We are manually reconstructing all the issues.
jsantos

jsantos

2019-02-13 21:10

manager   ~0005437

In our code, that definition is inside #if NETFX_CORE and as far as I know, that macro is only enabled in WinRT application, is that your case @JasonL663?
sfernandez

sfernandez

2019-02-26 18:44

manager   ~0005481

All noesis types that were defined in System.Windows and contained namespaces are now defined inside Noesis.
For example, ICommand and ContentPropertyAttribute are now inside Noesis namespace.

Issue History

Date Modified Username Field Change
2018-10-30 12:45 admin New Issue
2018-10-30 12:45 admin Reporter admin => JasonL663
2018-10-30 12:45 admin Note Added: 0005267
2018-11-01 02:14 jsantos View Status public => private
2018-11-22 09:56 sfernandez Assigned To => jsantos
2018-11-22 09:56 sfernandez Status new => assigned
2018-11-22 09:56 sfernandez Target Version => 2.2.0
2018-11-22 09:56 sfernandez View Status private => public
2018-11-22 09:56 sfernandez Platform => Any
2019-02-13 21:10 jsantos Note Added: 0005437
2019-02-13 21:10 jsantos Status assigned => feedback
2019-02-26 14:39 jsantos Assigned To jsantos => sfernandez
2019-02-26 18:44 sfernandez Status feedback => resolved
2019-02-26 18:44 sfernandez Resolution open => fixed
2019-02-26 18:44 sfernandez Fixed in Version => 2.2.0b7
2019-02-26 18:44 sfernandez Note Added: 0005481